var Xport = function()
{
	var xport = {};
	var previewTitle;
	var previewList;
	
	xport.initPage = function()
	{
		previewTitle = Doc.element('previewTitle');
		previewList = Doc.element('previewList');
		
		Buttons.addClickHandler('goexport', xport.goExport);
		Buttons.addClickHandler('gopreview', xport.goPreview);

		Doc.show('step-1');
		Doc.show('gopreview');
		Doc.show('goexport');
	}
	
	xport.goPreview = function()
	{
		xport.doExport(true);
	}
	
	xport.goExport = function()
	{
		xport.doExport(false);
	}
	
	xport.doExport = function(preview)
	{
		var frm = document.forms['reggie'];
		var url = '../Export.servlet?ID='+App.getSessionId();
		url += '&cmd=ExportINCA';
		url += '&time=' + frm.time.value;
		url += '&exportSubtype=1';
		url += '&exportPatientId=1';
		url += '&progressbar=inca-export-progress';
		
		Wizard.showLoadingAnimation('Working...', 'inca-export-progress');
		Doc.hide('navigation');
		Doc.hide('previewWrapper');
		
		if (preview) 
		{
			url += '&preview=1';
			Wizard.asyncJsonRequest(url, xport.onPreviewLoaded);
		}
		else
		{
			window.location = url;		
		}
	}

	xport.onPreviewLoaded = function(response)
	{
		Doc.show('navigation');
		
		var frm = document.forms['reggie'];
		var allLines = response.split('\n');
		var numCases = allLines.length - 2; // First line is a header line
		
		var html = '<tr><th>'+allLines[0].replace(/\t/g, '</th><th>')+'</th></tr>';
		for (var i = 1 ; i <= numCases; i++)
		{
			html += '<tr><td>'+allLines[i].replace(/\t/g, '</td><td>')+'</td></tr>';
		}

		previewTitle.innerHTML = 'Sample dates - ' + frm.time[frm.time.selectedIndex].text + ' (' + numCases + ')';
		previewList.innerHTML = '<table>'+html+'</table>';
		Doc.show('previewWrapper');
	}

	return xport;
}();

Doc.onLoad(Xport.initPage);

